Skip to main content

Create Lead Appointment: Yardi REST

Beta
POSThttps://api.propexo.com/v1/events/appointments/leads/yardi_rest/

Create an appointment for a lead in Yardi. Yardi interprets appointment date and time as being in the timezone of the property.

Those can be read in our /timezones endpoint.

If the property doesn't have a specific timezone configured, there will be an integration global timezone record that should be used in that case.

The time for this record is based on the Yardi server's configured timezone.

In the case that the Yardi server time is different than the current time, we provide the server_time_error_seconds field on the /timezones endpoint as well.

InterfaceMethod
ILS Guest Card/ItfProspect/ImportYardiGuest
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    unit_idstringrequired

    The Propexo unique identifier for the unit

    employee_idstringrequired

    The Propexo unique identifier for the employee

    appointment_datestringrequired

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    notesstring

    Notes associated with the event

    Possible values: <= 256 characters

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    unit_idstringrequired

    The Propexo unique identifier for the unit

    employee_idstringrequired

    The Propexo unique identifier for the employee

    appointment_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    notesstring | nullnullablerequired

    Notes associated with the event

    Possible values: <= 256 characters

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/appointments/leads/yardi_rest/
curl -X POST https://api.propexo.com/v1/events/appointments/leads/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"unit_id": "string",
"employee_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"unit_id": "string",
"employee_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"notes": "string"
}
}